'use strict';

jQuery(document).ready(function () {
  (function ($) {

    function paintBookingExtras(variation) {
      var code = '';
      $('.product-addon-extras-items').html(code);

      if (typeof jebe_extras[variation.variation_id] !== 'undefined' && typeof jebe_extras[variation.variation_id].extras !== 'undefined') {
        $.each(jebe_extras[variation.variation_id].extras, function (index, data) {
          var htmlPrice = parseFloat(data.extra_price).toFixed(2).toString().replace('.', ',');

          code += '<p class="form-row form-row-wide addon-wrap-' + jebe_extras.product_id + '-0-' + index + '">';
          code += '<label><input type="checkbox" class="addon addon-checkbox" name="addon-' + jebe_extras.product_id + '-extras-0[]" data-raw-price="' + data.extra_price + '" data-price="' + data.extra_price + '" value="' + data.extra_name + '"> ' + data.extra_name + ' (<span class="woocommerce-Price-amount amount">' + htmlPrice + '<span class="woocommerce-Price-currencySymbol">€</span>/day</span>)</label>';
          code += '</p>'

          $('.product-addon-extras-items').html(code);
        });
      }
    };

    function updatePrice(extra) {
      var booking_days = 1;

      if ($('input:hidden[name=start_date_submit]').length && $('input:hidden[name=end_date_submit]').length) {
        var startYMD = $('input:hidden[name=start_date_submit]').val().split('-');
        var startDate = new Date(startYMD[0], startYMD[1] - 1, startYMD[2]);

        var endYMD = $('input:hidden[name=end_date_submit]').val().split('-');
        var endDate = new Date(endYMD[0], endYMD[1] - 1, endYMD[2]);

        var days_diff = Math.round((endDate - startDate) / (1000 * 60 * 60 * 24));

        if (days_diff > 1) {
          booking_days = days_diff;
        }
      }

      if ($(extra).attr('checked') == 'checked') {
        $(extra).data('price', $(extra).data('raw-price') * booking_days);
      } else {
        $(extra).data('price', $(extra).data('raw-price'));
      }
    };

    $('.product-addon').hide();

    $('body').on('change', '#start_hour, #end_hour, #pa_tallas', function () {
      if ($('#start_hour').val() && $('#end_hour').val() && !$('.product-addon-extras-items').is(':empty')) {
        $('.product-addon').show();
      }
    });

    $('body').on('pickers_init', function (e, variation) {
      paintBookingExtras(variation);
    });

    $('body').on('change', '.addon-checkbox', function () {
      updatePrice(this);
      wceb.setPrice();
    });

    $('.datepicker_start').pickadate('picker').on('close', function () {
      $('.addon-checkbox').each(function () {
        updatePrice(this);
      });
      wceb.setPrice();
    });

    $('.datepicker_end').pickadate('picker').on('close', function () {
      $('.addon-checkbox').each(function () {
        updatePrice(this);
      });
      wceb.setPrice();
    });

  }(jQuery));
});
